<div class="page-header">{{ jobGroup.name }}</div>
<form class="job-form" [formGroup]="runForm" (ngSubmit)="onSubmit()">
  <div class="content" [ngStyle]="{ display: initialRun ? 'none' : 'block' }">
    <div class="job-info">
      <mat-form-field appearance="outline" class="input">
        <input matInput placeholder="Run name" formControlName="name" />
      </mat-form-field>
      <mat-form-field appearance="outline" class="input">
        <input matInput placeholder="Run description" formControlName="description" />
      </mat-form-field>
      <mat-radio-group class="radio-group" aria-label="" formControlName="isPublic">
        <div class="radio-group__label">Run is</div>
        <mat-radio-button labelPosition="after" [value]="true">Public</mat-radio-button>
        <mat-radio-button labelPosition="after" [value]="false">Private</mat-radio-button>
      </mat-radio-group>
    </div>
  </div>
  <div class="page-sub-header">
    <div class="page-sub-header__title">Adjust Minerals Parameters</div>
    <div class="page-sub-header__tools">
      Raw Data:
      <div class="raw-data-btn" (click)="openRawData(jobGroup.jobGroupFile)">View Raw Data</div>
    </div>
  </div>
  <div class="content">
    <div class="page-row__title">Dry wt% normalized to include kerogen wt%</div>
    <div class="page-row">
      <mat-form-field appearance="outline" class="input">
        <input matInput placeholder="Kerogen wt% from toc wt%" formControlName="kerogenWt" type="number" />
      </mat-form-field>
      <mat-form-field appearance="outline" class="input">
        <input matInput placeholder="Kerogen Multiplier" formControlName="kerogenMultiplier" [readonly]="true" />
      </mat-form-field>
    </div>

    <div class="page-row">
      <div class="table-wrapper">
        <div class="table-title">Estimated Carbon by Maturity</div>
        <xrd-carbon-by-maturity-table></xrd-carbon-by-maturity-table>
      </div>
      <div class="table-wrapper">
        <div class="table-title">Minerals Density</div>
        <xrd-minerals-density-editor
          *ngIf="minerals; else elseBlock"
          [parentFormGroup]="mineralsDensityFormGroup"
          [minerals]="minerals"
        >
        </xrd-minerals-density-editor>
        <ng-template #elseBlock>
          <gng-spinner></gng-spinner>
        </ng-template>
      </div>
    </div>
    <div class="buttons-group">
      <button class="button" color="primary" mat-flat-button [disabled]="runForm.invalid">Create Output</button>
      <a routerLink="/xrd" routerLinkActive="active" class="button" mat-flat-button>Cancel</a>
    </div>
  </div>
</form>
